org.springframework.cloud.dataflow.core

## Class StreamDefinition

- java.lang.Object
- - org.springframework.cloud.dataflow.core.StreamDefinition

-     @Entity
      public class StreamDefinition
      extends Object

  Representation of a defined stream. A stream consists of an ordered list of apps used to process data. Each app may contain configuration options provided at the time of stream creation.

  This stream definition does not include any deployment or runtime configuration for a stream.

  Author:
    Patrick Peralta, Mark Fisher
  See Also:
    `StreamAppDefinition`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamDefinition()`
    `StreamDefinition(String name, String dslText)` Construct a `StreamDefinition`.
    `StreamDefinition(String name, String dslText, String originalDslText)` Construct a `StreamDefinition`.
    `StreamDefinition(String name, String dslText, String originalDslText, String description)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getDescription()` Return the custom definition of the stream definition.
    `String` | `getDslText()` Return the DSL definition for this stream.
    `String` | `getName()` Return the name of this stream.
    `String` | `getOriginalDslText()` Return the Original DSL definition for this stream.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamDefinition

          public StreamDefinition()

    - #### StreamDefinition

          public StreamDefinition(String name,
                                  String dslText)

      Construct a `StreamDefinition`.
      Parameters:
        `name` - name of stream
        `dslText` - DSL definition for stream

    - #### StreamDefinition

          public StreamDefinition(String name,
                                  String dslText,
                                  String originalDslText)

      Construct a `StreamDefinition`.
      Parameters:
        `name` - name of stream
        `dslText` - DSL definition for stream
        `originalDslText` - the original DSL definition for stream

    - #### StreamDefinition

          public StreamDefinition(String name,
                                  String dslText,
                                  String originalDslText,
                                  String description)

  - ### Method Detail

    - #### getName

          public String getName()

      Return the name of this stream.
      Returns:
        stream name

    - #### getDslText

          public String getDslText()

      Return the DSL definition for this stream.
      Returns:
        the stream definition DSL

    - #### getOriginalDslText

          public String getOriginalDslText()

      Return the Original DSL definition for this stream.
      Returns:
        the original stream definition DSL

    - #### getDescription

          public String getDescription()

      Return the custom definition of the stream definition.
      Returns:
        stream definition description string

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.